Bug 16104 - suidperl
Summary: suidperl
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: perl   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Crutcher Dunnavant
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-08-13 18:07 UTC by mal
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-13 18:07:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description mal 2000-08-13 18:07:10 UTC
Can suid bit on execution 
can be removed from /usr/bin/suidperl 
by default?.
Not that many people use /usr/bin/suidperl anyway
and those who use it can do chmod u+s manually.
Securities issues 
(like those in SUSE http://lwn.net/daily/suse-perl.php3 )
will not be an issue any more.

Comment 1 Nalin Dahyabhai 2000-08-16 23:22:01 UTC
Removing the setuid bit would break things in a non-obvious way.  It will be
broken into a subpackage and not installed by default in future releases.


Note You need to log in before you can comment on or make changes to this bug.